diff a/src/hotspot/share/cds/runTimeClassInfo.hpp b/src/hotspot/share/cds/runTimeClassInfo.hpp
--- a/src/hotspot/share/cds/runTimeClassInfo.hpp
+++ b/src/hotspot/share/cds/runTimeClassInfo.hpp
@@ -262,11 +262,15 @@
   }
 
   // Used by RunTimeSharedDictionary to implement OffsetCompactHashtable::EQUALS
   static inline bool EQUALS(
        const RunTimeClassInfo* value, Symbol* key, int len_unused) {
+#if INCLUDE_CDS
     return (value->klass()->name() == key);
+#else
+    return false;
+#endif
   }
 };
 
 class RunTimeSharedDictionary : public OffsetCompactHashtable<
   Symbol*,
